%define pkg_name        Text-WagnerFischer
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 2.n0i.2

Summary:       An implementation of the Wagner-Fischer edit distance
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAVIDEBE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module implements the Wagner-Fischer dynamic programming technique,
used here to calculate the edit distance of two strings. The edit distance
is a measure of the degree of proximity between two strings, based on
"edits": the operations of substitutions, deletions or insertions needed to
transform the string into the other one (and vice versa).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 0.1
- rebuild on perl 5.8.8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
